| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::utility::primaryguild Struct Reference

User's primary guild (server tag). More...

`#include <utility.h>`

Collaboration diagram for dpp::utility::primaryguild:
[legend]

## Public Attributes

iconhash | badge
| The server tag badge.
bool | enabled
| Whether the user is displaying the primary guild's server tag.
snowflake | id
| The id of the user's primary guild.
std::string | tag
| The text of the user's server tag. Limited to 4 characters.

## Detailed Description

User's primary guild (server tag).

## Member Data Documentation

## ◆ badge

iconhash dpp::utility::primaryguild::badge

The server tag badge.

## ◆ enabled

bool dpp::utility::primaryguild::enabled

Whether the user is displaying the primary guild's server tag.

## ◆ id

snowflake dpp::utility::primaryguild::id

The id of the user's primary guild.

See also
  guild

## ◆ tag

std::string dpp::utility::primaryguild::tag

The text of the user's server tag. Limited to 4 characters.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0